• Русский
  • AlertRule [ait.alauda.io/v1]

    Description
    AlertRule defines alerting rules for a Prometheus instance AlertRule is a copy of PrometheusRule, just different kind/group/version.
    Type
    object
    Required
    spec

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    Specification of desired alerting rule definitions for Prometheus.

    .spec

    Description
    Specification of desired alerting rule definitions for Prometheus.
    Type
    object
    PropertyTypeDescription
    groupsarray

    Content of Prometheus rule file

    .spec.groups

    Description
    Content of Prometheus rule file
    Type
    array

    .spec.groups[]

    Description
    RuleGroup is a list of sequentially evaluated recording and alerting rules. Note: PartialResponseStrategy is only used by ThanosRuler and will be ignored by Prometheus instances. Valid values for this field are 'warn' or 'abort'. More info: https://github.com/thanos-io/thanos/blob/master/docs/components/rule.md#partial-response
    Type
    object
    Required
    namerules
    PropertyTypeDescription
    intervalstring
    namestring
    partial_response_strategystring
    rulesarray

    .spec.groups[].rules

    Type
    array

    .spec.groups[].rules[]

    Description
    Rule describes an alerting or recording rule.
    Type
    object
    Required
    expr
    PropertyTypeDescription
    alertstring
    annotationsobject
    expr
    forstring
    labelsobject
    recordstring

    .spec.groups[].rules[].annotations

    Type
    object

    .spec.groups[].rules[].labels

    Type
    object

    API Endpoints

    The following API endpoints are available:

    • /apis/ait.alauda.io/v1/namespaces/{namespace}/alertrules
      • DELETE: delete collection of AlertRule
      • GET: list objects of kind AlertRule
      • POST: create a new AlertRule
    • /apis/ait.alauda.io/v1/namespaces/{namespace}/alertrules/{name}
      • DELETE: delete the specified AlertRule
      • GET: read the specified AlertRule
      • PATCH: partially update the specified AlertRule
      • PUT: replace the specified AlertRule

    /apis/ait.alauda.io/v1/namespaces/{namespace}/alertrules

    HTTP method
    DELETE
    Description
    delete collection of AlertRule
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind AlertRule
    HTTP responses
    HTTP codeResponse body
    200 - OKAlertRuleList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new AlertRule
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyAlertRule schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKAlertRule schema
    201 - CreatedAlertRule schema
    202 - AcceptedAlertRule schema
    401 - UnauthorizedEmpty

    /apis/ait.alauda.io/v1/namespaces/{namespace}/alertrules/{name}

    HTTP method
    DELETE
    Description
    delete the specified AlertRule
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified AlertRule
    HTTP responses
    HTTP codeResponse body
    200 - OKAlertRule schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified AlertRule
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKAlertRule schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified AlertRule
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyAlertRule schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKAlertRule schema
    201 - CreatedAlertRule schema
    401 - UnauthorizedEmpty